## GdictSpeller GdictSpeller — Display matching words |

## Functions

GtkWidget * | gdict_speller_new ()
GtkWidget * | gdict_speller_new_with_context ()
void | gdict_speller_set_context ()
GdictContext * | gdict_speller_get_context ()
void | gdict_speller_set_database ()
const gchar * | gdict_speller_get_database ()
void | gdict_speller_set_strategy ()
const gchar * | gdict_speller_get_strategy ()
void | gdict_speller_clear ()
void | gdict_speller_match ()
gint | gdict_speller_count_matches ()
gchar ** | gdict_speller_get_matches ()

## Properties

GdictContext * | context | Read / Write / Construct
char * | database | Read / Write
char * | strategy | Read / Write

## Signals

void | word-activated | Run Last

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdictSpeller

## Description

GdictSpeller is a widget showing a list of words returned by a GdictContext query, using a specific database and a matching strategy.

## Functions

### gdict_speller_new ()

    GtkWidget *
    gdict_speller_new (void);

FIXME

#### Returns

FIXME

Since:

### gdict_speller_new_with_context ()

    GtkWidget *
    gdict_speller_new_with_context (GdictContext *context);

FIXME

#### Parameters

context | a GdictContext |

#### Returns

FIXME

Since:

### gdict_speller_set_context ()

    void
    gdict_speller_set_context (GdictSpeller *speller,
                               GdictContext *context);

FIXME

#### Parameters

speller | a GdictSpeller |
context | a GdictContext |

Since:

### gdict_speller_get_context ()

    GdictContext *
    gdict_speller_get_context (GdictSpeller *speller);

FIXME

#### Parameters

speller | a GdictSpeller |

#### Returns

a GdictContext

Since:

### gdict_speller_set_database ()

    void
    gdict_speller_set_database (GdictSpeller *speller,
                                const gchar *database);

FIXME

#### Parameters

speller | a GdictSpeller |
database | FIXME |

Since:

### gdict_speller_get_database ()

    const gchar *
    gdict_speller_get_database (GdictSpeller *speller);

FIXME

#### Parameters

speller | a GdictSpeller |

#### Returns

FIXME

Since: FIXME

### gdict_speller_set_strategy ()

    void
    gdict_speller_set_strategy (GdictSpeller *speller,
                                const gchar *strategy);

FIXME

#### Parameters

speller | a GdictSpeller |
strategy | FIXME |

Since: FIXME

### gdict_speller_get_strategy ()

    const gchar *
    gdict_speller_get_strategy (GdictSpeller *speller);

FIXME

#### Parameters

speller | a GdictSpeller |

#### Returns

FIXME

Since: FIXME

### gdict_speller_clear ()

    void
    gdict_speller_clear (GdictSpeller *speller);

FIXME

#### Parameters

speller | a GdictSpeller |

Since: FIXME

### gdict_speller_match ()

    void
    gdict_speller_match (GdictSpeller *speller,
                         const gchar *word);

FIXME

#### Parameters

speller | a GdictSpeller |
word | FIXME |

Since: FIXME

### gdict_speller_count_matches ()

    gint
    gdict_speller_count_matches (GdictSpeller *speller);

### gdict_speller_get_matches ()

    gchar **
    gdict_speller_get_matches (GdictSpeller *speller,
                               gsize length);

FIXME

#### Parameters

speller | a GdictSpeller |
length | FIXME |

#### Returns

FIXME

Since: FIXME

## Property Details

### The `“context”` property

      “context”                  GdictContext *

The GdictContext object used to get the word definition.

Owner: GdictSpeller

Flags: Read / Write / Construct

### The `“database”` property

      “database”                 char *

The database used to query the GdictContext.

Owner: GdictSpeller

Flags: Read / Write

Default value: "*"

### The `“strategy”` property

      “strategy”                 char *

The strategy used to query the GdictContext.

Owner: GdictSpeller

Flags: Read / Write

Default value: "."

## Signal Details

### The `“word-activated”` signal

    void
    user_function (GdictSpeller *gdictspeller,
                   char         *arg1,
                   char         *arg2,
                   gpointer      user_data)

Flags: Run Last